Subject: bug#63916: 30.0.50; use-package: changes do not propagate to elpa-devel

From: Stefan Monnier <[email-masked]>
Date: Sun, 11 Jun 2023 11:55:59 -0400

>> The above patch feels a bit hackish because it depends on the
>> directory that happens to be current when the file is loaded.
> I agree, that could be made more robust but isn't elpa-admin.el always
> invoked via make?

In 99% of the cases, yes, but users are free to be more creative.

> Of course, that was my first idea but I wanted to find a solution that
> wouldn't require every user to manually configure this, since the error
> message does not make it obvious what went wrong.

I agree that these kinds of problems are annoying to debug.  It would be
nice to offer a "debug mode" where the user can see what's going on
within the sandbox.  Maybe we could do that by opening an interactive
shell with a message saying "this is the command that we want to run"
and then let the user run that command?

        Stefan